﻿
/**
 * 声明全局配置模块
 */

define(function(require, exports) {

	window['C'] = {};

	/**
	 * 配置项
	 */
	C.Config = {
		/**
		 * 数据接口域名
		 */
		domain_pro: 'http://caipiao.m.taobao.com/lottery',       			//生产环境
		domain_pre: 'http://caipiao.wapa.taobao.com/lottery',      		//预发环境
		domain_dev: 'http://10.232.133.76/lottery',   								//开发环境
		//domain_dev: 'http://caipiao.waptest.taobao.com/lottery',   	//开发环境
		getDomain: function() {
			return this['domain_' + _data_env];
		},

		/**
		 * 数据接口地址
		 */
		list_interface: '/html5/getMylotteryListAjax.do',
		order_pay_interface: '/html5/getOrderPayNumAjax.do',
		detail_dg_interface: '/html5/getOrderDetailAjax.do',
		detail_zh_interface: '/html5/getPursueDetailAjax.do',
		detail_hm_interface: '/html5/getUnitedDetailInfoAjax.do',
		detail_zs_interface: '/html5/getPresentDetailAjax.do',
		getDetailInterface: function(orderType) {
			var _interface = null;
			orderType = Number(orderType);
			switch (orderType) {
				case 0:
					_interface = this.detail_dg_interface;
					break;
				case 1:
					_interface = this.detail_hm_interface;
					break;
				case 2:
					_interface = this.detail_hm_interface;
					break;
				case 3:
					_interface = this.detail_zh_interface;
					break;
				case 5:
					_interface = this.detail_zs_interface;
					break;
				default:
					_interface = this.detail_dg_interface;
					break;
			}; 
			return _interface;
		}		
	};
});